@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

body{
    background:#050505;
    color:#fff;
    min-height:100vh;
}

/* Header */

header{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:25px 8%;
}

.logo{
    font-size:32px;
    font-weight:700;
    color:#fff;
}

nav{
    display:flex;
    gap:35px;
}

nav a{
    text-decoration:none;
    color:#fff;
    transition:.3s;
}

nav a:hover{
    color:#f5c518;
}

.connect-btn{
    background:#f5c518;
    color:#000;
    border:none;
    padding:14px 28px;
    border-radius:8px;
    font-weight:600;
    cursor:pointer;
    transition:all 0.3s ease;
}

.connect-btn:hover{
    transform:translateY(-4px);
    box-shadow:0 8px 20px rgba(245,197,24,0.4);
}

.connect-btn:active{
    transform:translateY(0);
    box-shadow:0 2px 5px rgba(245,197,24,0.4);
}

/* Hero Section */

.hero{
    display:flex;
    justify-content:space-between;
    align-items:center;
    min-height:85vh;
    padding:0 8%;
}

.content{
    max-width:600px;
}

.tagline{
    color:#f5c518;
    letter-spacing:3px;
    font-size:14px;
}

.content h1{
    font-size:90px;
    line-height:0.95;
    margin:20px 0;
    font-family:Georgia, serif;
}

.content p{
    color:#bdbdbd;
    line-height:1.8;
    margin-bottom:30px;
}

.buttons{
    display:flex;
    gap:15px;
}

.btn{
    padding:14px 28px;
    text-decoration:none;
    border-radius:8px;
    font-weight:600;
    display:inline-block;
    transition:all 0.3s ease;
}

.btn:active{
    transform:translateY(0);
}

.primary{
    background:#f5c518;
    color:#000;
}

.primary:hover{
    transform:translateY(-4px);
    box-shadow:0 8px 20px rgba(245,197,24,0.4);
}

.secondary{
    border:1px solid #555;
    color:#fff;
}

.secondary:hover{
    transform:translateY(-4px);
    box-shadow:0 8px 20px rgba(255,255,255,0.15);
    background:#111;
    border-color:#fff;
}

/* Profile Image */

.image-box{
    width:500px;
    height:500px;
    border-radius:50%;
    overflow:hidden;
    border:5px solid rgba(245,197,24,.4);
    box-shadow:0 0 40px rgba(245,197,24,.25);
}

.image-box img{
    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center top;
}

/* Responsive */

@media(max-width:900px){

    nav{
        display:none;
    }

    .hero{
        flex-direction:column-reverse;
        text-align:center;
        padding:40px 20px;
    }

    .content h1{
        font-size:55px;
    }

    .image-box{
        width:300px;
        height:300px;
        margin-bottom:40px;
    }

    .buttons{
        justify-content:center;
    }
}